<?php
/**
 * Plugin Name: PayStar Payment Module For Whmcs 5-6
 * Plugin URI: https://paystar.ir
 * Version: 1.0
 * Author: Shayan Kiyani
 * Author Email: info[at]paystar[dot]ir
 */
 
error_reporting(0);	
require(dirname(__FILE__) . '/../../../paystarconfig.php');
if(file_exists('../../../init.php'))
{
	define('WHMCSDBCONNECT', true);
	require('../../../init.php');
}
else
	require('../../../dbconnect.php');

include('../../../includes/functions.php');
include('../../../includes/gatewayfunctions.php');
include('../../../includes/invoicefunctions.php');


$gatewaymodule = 'paystar'; 
$gateway = getGatewayVariables($gatewaymodule);
if(!$gateway['type'])
    die('Module Not Activated'); 

$amount = $_GET['amount'];
$invoiceid = (int) $_GET['invoiceid'];
$au = !empty($_POST["transid"]) ? $_POST["transid"] : 0;
$invoiceid = checkCbInvoiceID($invoiceid, $gateway["name"]);

$res = -600;
try
{
	$f = array(
		'amount' => $_GET["amount2"],
		'pin' => $gateway['pin'],
		'transid' => $au,
	);
	
	$f_ = '';
	foreach($f as $k=>$v) 
		$f_ .= $k . '=' . urlencode($v) . '&'; 
		
	rtrim($f_, '&');

	$ch = curl_init();
	curl_setopt($ch,CURLOPT_URL, "https://{$ws_config['address']}/api/verify/");
	curl_setopt($ch,CURLOPT_POST, count($f));
	curl_setopt($ch,CURLOPT_POSTFIELDS, $f_);
	curl_setopt($ch,CURLOPT_RETURNTRANSFER, true);
	$res = curl_exec($ch);
	curl_close($ch);
}
catch(Exception $e) 
{
	$res = -600;
}
		
$resv = false;
if($res == -600)
{
	echo '<meta charset=utf-8><center><font color=red>ارتباط با بانک برقرار نشد.</font><br/><a href="javascript:window.location.reload()">دوباره بررسی کن !</a></center>';
	die;
}	
else
{
	if($res == 1)
	{
		$fee = 0;
		addInvoicePayment($invoiceid, $au, $amount, $fee, $gatewaymodule);
		logTransaction($gateway["name"], $_POST, "Successful");				
	}
	else
	{
		logTransaction($gateway["name"], $_POST, "Unsuccessful"); 
		$res = empty($res) ? -90 : $res;
		$resv = '&res_err=' . base64_encode($res);		
	}
}

$url = $CONFIG['SystemURL'] . '/viewinvoice.php?id=' . $invoiceid . $resv;
header("Location: {$url}");
//die("<script>window.location='{$url}';</script>");
?>